[arch-commits] Commit in python-secretstorage/repos/community-any (PKGBUILD PKGBUILD)

Felix Yan felixonmars at archlinux.org
Thu Aug 18 15:32:04 UTC 2016


    Date: Thursday, August 18, 2016 @ 15:32:02
  Author: felixonmars
Revision: 186960

archrelease: copy trunk to community-any

Added:
  python-secretstorage/repos/community-any/PKGBUILD
    (from rev 186959, python-secretstorage/trunk/PKGBUILD)
Deleted:
  python-secretstorage/repos/community-any/PKGBUILD

----------+
 PKGBUILD |   91 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 46 insertions(+), 45 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2016-08-18 15:31:43 UTC (rev 186959)
+++ PKGBUILD	2016-08-18 15:32:02 UTC (rev 186960)
@@ -1,45 +0,0 @@
-# $Id$
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-# Contributor: Patrice Peterson <runiq at archlinux dot us>
-# Contributor: JonnyJD <arch at JonnyJD.net>
-
-pkgbase=python-secretstorage
-pkgname=(python-secretstorage python2-secretstorage)
-pkgver=2.2.1
-pkgrel=1
-pkgdesc="Securely store passwords and other private data using the SecretService DBus API"
-arch=('any')
-url="https://pypi.python.org/pypi/SecretStorage"
-license=('BSD')
-makedepends=('python-dbus' 'python2-dbus' 'python-crypto' 'python2-crypto' 'dbus-glib')
-checkdepends=('gnome-keyring' 'xorg-server-xvfb' 'dbus-glib')
-source=("https://pypi.io/packages/source/S/SecretStorage/SecretStorage-${pkgver}.tar.gz")
-md5sums=('9a6f9e4c9962e6cd616624c331fce1ab')
-
-prepare() {
-  cp -a SecretStorage-$pkgver{,-py2}
-}
-
-check() {
-  cd SecretStorage-$pkgver
-  xvfb-run -a python -m unittest discover -s tests || warning "Tests failed"
-
-  cd ../SecretStorage-$pkgver-py2
-  xvfb-run -a python2 -m unittest discover -s tests || warning "Tests failed"
-}
-
-package_python-secretstorage() {
-  depends=('python-dbus' 'python-crypto' 'dbus-glib')
-
-  cd SecretStorage-$pkgver
-  python setup.py install -O1 --root="$pkgdir"
-  install -Dm644 LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
-}
-
-package_python2-secretstorage() {
-  depends=('python2-dbus' 'python2-crypto' 'dbus-glib')
-
-  cd SecretStorage-$pkgver-py2
-  python2 setup.py install -O1 --root="$pkgdir"
-  install -Dm644 LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
-}

Copied: python-secretstorage/repos/community-any/PKGBUILD (from rev 186959, python-secretstorage/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2016-08-18 15:32:02 UTC (rev 186960)
@@ -0,0 +1,46 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Patrice Peterson <runiq at archlinux dot us>
+# Contributor: JonnyJD <arch at JonnyJD.net>
+
+pkgbase=python-secretstorage
+pkgname=(python-secretstorage python2-secretstorage)
+pkgver=2.3.0
+pkgrel=1
+pkgdesc="Securely store passwords and other private data using the SecretService DBus API"
+arch=('any')
+url="https://pypi.python.org/pypi/SecretStorage"
+license=('BSD')
+makedepends=('python-dbus' 'python2-dbus' 'python-crypto' 'python2-crypto' 'dbus-glib'
+             'python-cryptography' 'python2-cryptography')
+checkdepends=('gnome-keyring' 'xorg-server-xvfb' 'dbus-glib')
+source=("https://pypi.io/packages/source/S/SecretStorage/SecretStorage-${pkgver}.tar.gz")
+md5sums=('c39ec3f9af77fa82a606e0cd62795962')
+
+prepare() {
+  cp -a SecretStorage-$pkgver{,-py2}
+}
+
+check() {
+  cd SecretStorage-$pkgver
+  xvfb-run -a python -m unittest discover -s tests || warning "Tests failed"
+
+  cd ../SecretStorage-$pkgver-py2
+  xvfb-run -a python2 -m unittest discover -s tests || warning "Tests failed"
+}
+
+package_python-secretstorage() {
+  depends=('python-dbus' 'python-crypto' 'dbus-glib' 'python-cryptography')
+
+  cd SecretStorage-$pkgver
+  python setup.py install -O1 --root="$pkgdir"
+  install -Dm644 LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
+}
+
+package_python2-secretstorage() {
+  depends=('python2-dbus' 'python2-crypto' 'dbus-glib' 'python2-cryptography')
+
+  cd SecretStorage-$pkgver-py2
+  python2 setup.py install -O1 --root="$pkgdir"
+  install -Dm644 LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
+}



More information about the arch-commits mailing list